[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'System' (#rtl)

# ThreadSetPriority

Set the priority of a thread.

## Declaration

Source position: threadh.inc line 141

`function ThreadSetPriority(`
`threadHandle: TThreadID;`
`Prio: LongInt`
`):Boolean;`

## Description

ThreadSetPriority sets the priority of thread TThreadID to Prio. Priority is a value between -15 and 15.

## Errors

None.

## See also

ThreadGetPriority |  | Return the priority of a thread.

Documentation generated on: Feb 26 2014